JUCE: AudioPlayHead::FrameRate Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioPlayHead::FrameRate Class Reference
juce_audio_basics » audio_play_head

More descriptive frame rate type. More...

`#include <juce_AudioPlayHead.h>`

## Public Member Functions
| FrameRate ()=default
| Creates a frame rate with a base rate of 0.
| FrameRate (FrameRateType type)
| Creates a FrameRate instance from a FrameRateType.
FrameRateType | getType () const
| Gets the FrameRateType that matches the state of this FrameRate.
int | getBaseRate () const
| Returns the plain rate, without taking pulldown into account.
bool | isDrop () const
| Returns true if drop-frame timecode is in use.
bool | isPullDown () const
| Returns true if the effective framerate is actually equal to the base rate divided by 1.001.
double | getEffectiveRate () const
| Returns the actual rate described by this object, taking pulldown into account.
FrameRate | withBaseRate (int x) const
| Returns a copy of this object with the specified base rate.
FrameRate | withDrop (bool x=true) const
| Returns a copy of this object with drop frames enabled or disabled, as specified.
FrameRate | withPullDown (bool x=true) const
| Returns a copy of this object with pulldown enabled or disabled, as specified.
bool | operator== (const FrameRate &other) const
| Returns true if this instance is equal to other.
bool | operator!= (const FrameRate &other) const
| Returns true if this instance is not equal to other.

## Detailed Description

More descriptive frame rate type.

## Constructor & Destructor Documentation

## ◆ FrameRate() [1/2]

AudioPlayHead::FrameRate::FrameRate | ( |  | ) |
| default

Creates a frame rate with a base rate of 0.

## ◆ FrameRate() [2/2]

AudioPlayHead::FrameRate::FrameRate | ( | FrameRateType | type | ) |

Creates a FrameRate instance from a FrameRateType.

## Member Function Documentation

## ◆ getType()

FrameRateType AudioPlayHead::FrameRate::getType | ( |  | ) | const

Gets the FrameRateType that matches the state of this FrameRate.

Returns fpsUnknown if this FrameRate cannot be represented by any of the other enum fields.

## ◆ getBaseRate()

int AudioPlayHead::FrameRate::getBaseRate | ( |  | ) | const

Returns the plain rate, without taking pulldown into account.

## ◆ isDrop()

bool AudioPlayHead::FrameRate::isDrop | ( |  | ) | const

Returns true if drop-frame timecode is in use.

## ◆ isPullDown()

bool AudioPlayHead::FrameRate::isPullDown | ( |  | ) | const

Returns true if the effective framerate is actually equal to the base rate divided by 1.001.

## ◆ getEffectiveRate()

double AudioPlayHead::FrameRate::getEffectiveRate | ( |  | ) | const

Returns the actual rate described by this object, taking pulldown into account.

## ◆ withBaseRate()

FrameRate AudioPlayHead::FrameRate::withBaseRate | ( | int | x | ) | const

Returns a copy of this object with the specified base rate.

References x.

## ◆ withDrop()

FrameRate AudioPlayHead::FrameRate::withDrop | ( | bool | x = true | ) | const

Returns a copy of this object with drop frames enabled or disabled, as specified.

References x.

## ◆ withPullDown()

FrameRate AudioPlayHead::FrameRate::withPullDown | ( | bool | x = true | ) | const

Returns a copy of this object with pulldown enabled or disabled, as specified.

References x.

## ◆ operator==()

bool AudioPlayHead::FrameRate::operator== | ( | const FrameRate & | other | ) | const

Returns true if this instance is equal to other.

References x.

## ◆ operator!=()

bool AudioPlayHead::FrameRate::operator!= | ( | const FrameRate & | other | ) | const

Returns true if this instance is not equal to other.

The documentation for this class was generated from the following file:

- juce_AudioPlayHead.h